package de.jeyp91;

public abstract class BaseMatch {

    public final Integer COMPARISON_IDENTICAL = 0;
    public final Integer COMPARISON_DIFFERENT = 1;
    public final Integer COMPARISON_DIFFERENT_DATETIME = 2;
    public final Integer COMPARISON_DIFFERENT_RESULT = 3;

    protected Integer teamIdHome;
    protected Integer teamIdGuest;
    protected Integer goalsHome = null;
    protected Integer goalsGuest = null;
    protected Integer matchday = null;
    protected String matchDatetime = null;

    public Integer getMatchday() {
        return this.matchday;
    }

    public Integer getTeamIdHome() {
        return this.teamIdHome;
    }

    public Integer getTeamIdGuest() {
        return this.teamIdGuest;
    }

    public String getMatchDateTime() {
        return this.matchDatetime;
    }

    public Integer getGoalsHome() {
        return this.goalsHome;
    }

    public Integer getGoalsGuest() {
        return this.goalsGuest;
    }
}
